JNA API 3.3.0

## com.sun.jna.platform.win32
Class LMAccess.GROUP_INFO_1

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.LMAccess.GROUP_INFO_1

Enclosing interface:
  LMAccess

    public static class LMAccess.GROUP_INFO_1

extends Structure

The GROUP_INFO_1 structure contains a global group name and a comment to associate with the group.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`WString` | `grpi1_comment` Pointer to a null-terminated Unicode character string that specifies a remark associated with the global group.
`WString` | `grpi1_name` Pointer to a null-terminated Unicode character string that specifies the name of the global group.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`LMAccess.GROUP_INFO_1()`
`LMAccess.GROUP_INFO_1(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### grpi1_name

    public WString grpi1_name

  Pointer to a null-terminated Unicode character string that specifies the name of the global group.

### grpi1_comment

    public WString grpi1_comment

  Pointer to a null-terminated Unicode character string that specifies a remark associated with the global group. This member can be a null string. The comment can contain MAXCOMMENTSZ characters.

Constructor Detail

### LMAccess.GROUP_INFO_1

    public LMAccess.GROUP_INFO_1()

### LMAccess.GROUP_INFO_1

    public LMAccess.GROUP_INFO_1(Pointer memory)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.